# Openbox správce oken

## Openbox v EndeavourOS

### Úvod
[Openbox](https://openbox.org/) je vysoce konfigurovatelný a minimální správce plovoucích oken. To vám umožní spravovat okna s myší tak, jak byste to dělali na tradičním DE, jako je Xfce, ale Openbox umožňuje mnohem více konfigurace, jako je tomu u většiny samostatných manažerů oken. Očekávanou vedlejší efekt je, že Openbox je velmi lehký na systémové prostředky.

Správce Obenbox je lehký správce oken, který je navržen tak, aby byl rychlý a efektivní. Může být použit samostatně nebo v kombinaci s jinými desktopovými prostředími, jako je GNOME nebo XFCE.

![](../img/Openbox.png)

### Hlavní konfigurace

Openbox hlavní konfigurace je na **~/.config/openbox/rc.xml**. Obvykle ji nemusíte upravovat ručně. Můžete použít **obconf**. Nástroj pro provedení změn konfigurace prostřednictvím **GUI**. Tento konfigurační **rc.xml** soubor obsahuje:


   * Klávesové zkratky
   * emming
   * Nastavení plochy a virtuální plochy
   * Nastavení okna aplikace

Konfigurace kliknutí na nabídku se ukládá v souboru **~/.config/openbox/menu.xml**. Tento soubor obsahuje statické menu.

Aplikace automatického startu jsou definovány v **~/.config/openbox/autostart**.

Pod **~/.config/openbox/scripts/** najdete v různé skripty, které Openbox CE používá pro různé funkce.

### Menu launcher aplikací

Nabídka aktivovaná kliknutím na levé dolní tlačítko je **jgmenu**. Jeho konfigurace je uložena na **~/.config/openbox/jgmenu/jgmenurc**.

### Dunst

Dunst zobrazuje vaše oznámení. Config se nachází v **~/.config/dunst/dunstrc**. Můžete změnit barvy atd.

Jedním z důležitých nastavení, které chcete změnit, je vazba pro **Ctrl + grave**. Ve výchozím nastavení se to používá k prokazování historie. Užitečné v případě, že zmeškáte oznámení nebo chcete znovu vidět podrobnosti. Klíčové vázání může být v rozporu s jinými aplikacemi. Stejné klávesové vázání se používá například i v Code-OSS/VSCode. Chcete-li zakázat toto chování, otevřete konfigurační soubor dunstrc a komentujte linku 274.

[https://github.com/EndeavourOS-Community-Editions/openbox/blob/main/.config/dunst/dunstrc#L274](https://github.com/EndeavourOS-Community-Editions/openbox/blob/main/.config/dunst/dunstrc#L274)

Chcete-li to komentovat, jednoduše dáte symbol hastag # na začátku řádku.

### Panel

Panel, který používáme, je Tint2. Jeho konfigurace je uložena na **~/.config/tint2/tint2rc**. Panel lze také konfigurovat prostřednictvím přiložené aplikace nastavení **Tint2**.

### Vývoj Openbox a EndeavourOS

Vývoj Openbox pro EndeavourOS se děje v repozitářích GitHub. Úložiště je na [https://github.com/EndeavourOS-Community-Editions/openbox/](https://github.com/EndeavourOS-Community-Editions/openbox/)

---

## Openbox tipy pro EndeavourOS a ostatní distribuce

### Použití Openbox samostatně

Openbox může být použit jako samostatný správce oken. V tomto případě budete potřebovat některé doplňkové nástroje a aplikace, abyste měli plnohodnotné prostředí. Například:

  *  Panel: Můžete použít t3wm, tint2 nebo jiný lehký panel.
  *  Správce plochy: Můžete použít nitrogen nebo feh pro nastavení pozadí.
  *  Menu: Můžete použít obmenu-generator nebo jiný generátor menu.

### Použití Openbox s GNOME

Openbox může být použit jako správce oken v prostředí GNOME. To vám umožní využít všechny funkce GNOME, ale s lehčím a rychlejším správcem oken. Postup je následující:

1. Nainstalujte Openbox a GNOME.

2. Vytvořte nebo upravte soubor ~/.xinitrc nebo ~/.xsession tak, aby obsahoval následující řádky:
````
exec gnome-session --session=openbox-gnome
````
3. Restartujte X server nebo se přihlašte znovu.